# Uses of Class
jdk.jshell.MethodSnippet

Packages that use MethodSnippet
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of MethodSnippet in jdk.jshell

Methods in jdk.jshell that return types with arguments of type MethodSnippet
Modifier and Type
Method
Description
`Stream<MethodSnippet>`
JShell.`methods()`
Returns the active method snippets.